certificate: Certificates and Key Reader/Writer

[ bsd3, data, deprecated, library ] [ Propose Tags ]
Deprecated. in favor of x509

Certificates and Key reader/writer

At the moment only X509 certificate and unencrypted private key are supported, but will include PGP certificate and pkcs8 private keys

Versions 0.1, 0.2, 0.2.1, 0.3, 0.3.2, 0.4.0, 0.6.0, 0.7.0, 0.8.0, 0.8.1, 0.9.0, 0.9.0.1, 0.9.1, 0.9.2, 0.9.3, 0.9.4, 0.9.5, 1.0.0, 1.0.1, 1.1.0, 1.1.1, 1.2.0, 1.2.1, 1.2.2, 1.2.3, 1.2.4, 1.2.5, 1.2.6, 1.2.7, 1.2.8, 1.2.9, 1.3.0, 1.3.1, 1.3.2, 1.3.3, 1.3.5, 1.3.6, 1.3.7, 1.3.8, 1.3.9
Dependencies asn1-data (>=0.6.0 && <0.7), base (>1 && <1), base64-bytestring, bytestring, cmdargs, cryptocipher (>=0.2.4), cryptohash, directory, HUnit, mtl, process, QuickCheck (>=2), text (>=0.11), time, Win32 [details]
License BSD-3-Clause
Copyright Vincent Hanquez <vincent@snarc.org>
Author Vincent Hanquez <vincent@snarc.org>
Maintainer Vincent Hanquez <vincent@snarc.org>
Revised Revision 2 made by phadej at Thu Nov 12 04:53:45 UTC 2015
Category Data
Home page http://github.com/vincenthz/hs-certificate
Source repo head: git clone git://github.com/vincenthz/hs-certificate
Uploaded by VincentHanquez at Tue Oct 11 04:30:49 UTC 2011
Distributions Debian:1.3.9, FreeBSD:1.3.9, NixOS:1.3.9
Executables Tests, certificate
Downloads 47602 total (83 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs not available [build log]
All reported builds failed as of 2016-11-30 [all 8 reports]
Hackage Matrix CI

Modules

  • Data
    • Certificate
      • Data.Certificate.KeyDSA
      • Data.Certificate.KeyRSA
      • Data.Certificate.PEM
      • Data.Certificate.X509
        • Data.Certificate.X509.Cert
  • System
    • Certificate
      • System.Certificate.X509

Flags

NameDescriptionDefaultType
test

Build unit test

DisabledAutomatic
executable

Build the executable

DisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Note: This package has metadata revisions in the cabal description newer than included in the tarball. To unpack the package including the revisions, use 'cabal get'.

Maintainer's Corner

For package maintainers and hackage trustees